Name:     m17n-contrib
Summary:  Contributed multilingualization datafiles for m17n-lib
Version:  1.1.12
Release:  5%{?dist}
Group:    System Environment/Libraries
License:  LGPLv2+
URL:      http://www.m17n.org/m17n-lib/index.html
Source0:  http://www.m17n.org/m17n-lib-download/m17n-contrib-%{version}.tar.gz
Source1:  mai-inscript.mim
Source2:  ks-inscript.mim
Patch0:   bug433416-bn-probhat.patch
Patch1:   as-inscript-keysummary-440201.patch
Patch2:   ml-inscript-keysummary-435259.patch
Patch3:   kn-inscript-ZWNJ-440007.patch
Patch4:   or-inscript-ZWJ-ZWNJ-466748.patch
Patch5:   pa-jhelum-numeric-503478.patch
Patch7:   te-inscript-ZWJ-451203.patch
Patch8:   te-inscript-642134.patch
Patch9:   bug692351-Add-Rupee-sign-inscript-maps.patch

BuildArch: noarch
BuildRequires: m17n-db-devel 
Requires: m17n-db

%description
This package contains contributed multilingualization (m17n) datafiles
for the m17n-lib project.

%package extras
Summary:  Extra m17n-contrib files
Group:    System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description extras
m17n-db extra files for input maps that are less used.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1

%build
%configure
make


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
cp -p %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/m17n/

rm -rf $RPM_BUILD_ROOT/%{_bindir}

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/m17n/scripts
%{_datadir}/m17n/a*.mim
%{_datadir}/m17n/b*.mim
%{_datadir}/m17n/c*.mim
%{_datadir}/m17n/e*.mim
%{_datadir}/m17n/g*.mim
%{_datadir}/m17n/h*.mim
%{_datadir}/m17n/i*.mim
%{_datadir}/m17n/k*.mim
%{_datadir}/m17n/m*.mim
%{_datadir}/m17n/n*.mim
%{_datadir}/m17n/o*.mim
%{_datadir}/m17n/p*.mim
%{_datadir}/m17n/r*.mim
%{_datadir}/m17n/s*.mim
%{_datadir}/m17n/t*.mim
%{_datadir}/m17n/u*.mim
%{_datadir}/m17n/v*.mim
%{_datadir}/m17n/y*.mim
%{_datadir}/m17n/icons/a*.png
%{_datadir}/m17n/icons/b*.png
%{_datadir}/m17n/icons/c*.png
%{_datadir}/m17n/icons/e*.png
%{_datadir}/m17n/icons/g*.png
%{_datadir}/m17n/icons/h*.png
%{_datadir}/m17n/icons/i*.png
%{_datadir}/m17n/icons/k*.png
%{_datadir}/m17n/icons/m*.png
%{_datadir}/m17n/icons/n*.png
%{_datadir}/m17n/icons/o*.png
%{_datadir}/m17n/icons/p*.png
%{_datadir}/m17n/icons/s*.png
%{_datadir}/m17n/icons/t*.png
%{_datadir}/m17n/icons/u*.png
%{_datadir}/m17n/icons/v*.png
%{_datadir}/m17n/icons/y*.png


%files extras 
%defattr(-,root,root,-)
%{_datadir}/m17n/zh-*.mim
%{_datadir}/m17n/icons/zh*.png

%changelog
* Fri Apr 01 2011 Parag Nemade <pnemade AT redhat DOT com> - 1.1.12-5
- Resolves:rh#692351 - [indic] Add Rupee Sign support in Inscript maps

* Tue Mar 22 2011 Parag Nemade <pnemade AT redhat DOT com> - 1.1.12-4
- Resolves: rh#679289 - please include kashmiri inscript keyboard
- Removed Obsoletes and Provides added in f14

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Parag Nemade <pnemade AT redhat.com> - 1.1.12-2
- Resolves:rh#642134-[te_IN] [inscript] U0C60, U0C44 and U0C01 need key mapping in inscript keymap.

* Wed Oct 06 2010 Parag Nemade <pnemade AT redhat.com> - 1.1.12-1
- update to new upstream release 1.1.12

* Wed Jul 07 2010 Parag Nemade <pnemade AT redhat.com> -1.1.11-4
- Add patches ta-tamil99-enhancement.patch ml-inscript-semicolon-577171.patch

* Mon May 17 2010 Parag Nemade <pnemade AT redhat.com> -1.1.11-3
- Add patch hi-remington-enhancements-591810.patch
- Fix upgrade path from F-13 

* Wed Apr 07 2010 Parag Nemade <pnemade AT redhat.com> - 1.1.11-2
- bump release; spec cleanup

* Wed Apr 07 2010 Parag Nemade <pnemade AT redhat.com> - 1.1.11-1
- update to new upstream release 1.1.11

* Tue Jan 19 2010 Parag Nemade <pnemade AT redhat.com> -1.1.10-3
- Add patch te-inscript-ZWJ-451203.patch

* Mon Aug 17 2009 Parag Nemade <pnemade@redhat.com> -1.1.10-2
- Add patch kn-kgp-halantha-ayogavaaha.patch

* Wed Jul 29 2009 Parag Nemade <pnemade@redhat.com> -1.1.10-1
- update to new upstream release 1.1.10 
- Resolves: rh#513920: [pa_IN]Jhelum layout conflict with shortcut key in lokalize
- revert pa-jhelum-numeric-503478.patch to its original version.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-7
- update patch pa-jhelum-numeric-503478.patch

* Tue Jun 02 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-6
- Resolves: rh#503478-[pa_IN][Jhelum] layout need update for Gurmukhi Numeric

* Wed May 06 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-5
- Resolves: rh#485152- Kashmiri (Arabic-persian) language keyboard layout 

* Wed Apr 08 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-4
- Resolves: rh#494810-[indic][m17n-db][m17n-contrib] ibus .engine files no longer needed for new ibus

* Mon Apr 06 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-3
- Fix broken deps for maithili subpackage.

* Fri Apr 03 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-2
- Resolves: rh#491794 [mai_IN] Removing @maithili-support removes m17n-db-hindi package
- Resolves: rh#493793 [mai_IN] No default keymap for language

* Tue Mar 03 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-1
- Update to new upstream release 1.1.9

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 05 2008 Parag Nemade <pnemade@redhat.com> -1.1.8-2.fc10
- Resolves: Bug 466748-[or_IN] Needed ZWJ & ZWNJ for Oriya Inscript keymap

* Tue Oct 21 2008 Parag Nemade <pnemade@redhat.com> -1.1.8-1.fc10
- Update to new upstream release 1.1.8

* Mon Oct 20 2008 Jens Petersen <petersen@redhat.com> - 1.1.7-5.fc10
- add obsoletes for ibus-m17n subpackages

* Wed Oct 15 2008 Parag Nemade <pnemade@redhat.com> - 1.5.2-4
- create .engine files for ibus-m17n with m17n-gen-ibus-engine (#466410)

* Thu Sep 04 2008 Parag Nemade <pnemade@redhat.com> -1.1.7-3
- Resolves: rh# Bug 458264-Required Inscript map for Sindhi language

* Fri Jul 04 2008 Parag Nemade <pnemade@redhat.com> -1.1.7-2
- Resolves: rh#453910: [kn_IN]Include latest kn- kgp.mim againist the latest build

* Thu Jul 03 2008 Parag Nemade <pnemade@redhat.com> -1.1.7-1
- Update to new upstream release 1.1.7

* Wed May 21 2008 Parag Nemade <pnemade@redhat.com> -1.1.6-4
- Resolves: rh#447682,rh#447683

* Wed Apr 02 2008 Parag Nemade <pnemade@redhat.com> -1.1.6-3.fc9
- Resolves: rh#440201,rh#435259,rh#440007

* Thu Feb 28 2008 Parag Nemade <pnemade@redhat.com> -1.1.6-2.fc9
- Resolves: rh#433416

* Thu Feb 07 2008 Parag Nemade <pnemade@redhat.com> -1.1.6-1.fc9
- Update to new upstream release 1.1.6
- Resolves: rh#431169

* Thu Jan 24 2008 Parag Nemade <pnemade@redhat.com> -1.1.5-2
- Resolves:rh#430054

* Mon Dec 31 2007 Parag Nemade <pnemade@redhat.com> -1.1.5-1.fc9
- Update to new upstream release 1.1.5

* Fri Dec 28 2007 Parag Nemade <pnemade@redhat.com> -1.1.4-1.fc9
- Update to new upstream release 1.1.4

* Tue Dec 18 2007 Parag Nemade <pnemade@redhat.com> -1.1.3-4.fc9
- Resolves: rh#404081, rh#419691

* Mon Aug 13 2007 Parag Nemade <pnemade@redhat.com>
- update License tag

* Wed Jul 25 2007 Parag Nemade <pnemade@redhat.com> - 1.1.3-3
- Added m17n-contrib as Requires for mk_pkg() macro generating packages.
- Added m17b-contrib and m17n-db-lang as Requires
  for mk_pkg_uses_db() macro generating packages.

* Wed Jul 25 2007 Parag Nemade <pnemade@redhat.com> - 1.1.3-2
- Import to cvs
- bump release

* Tue Jul 24 2007 Parag Nemade <pnemade@redhat.com> - 1.1.3-1
- Update to 1.1.3

* Tue Jul 24 2007 Parag Nemade <pnemade@redhat.com>
- Bump release

* Mon Jul 23 2007 Parag Nemade <pnemade@redhat.com>
- SPEC cleanup
- make tbl2mim.awk executable
- bump release

* Mon Jul 23 2007 Parag Nemade <pnemade@redhat.com>
- updated SPEC according to suggestions from Jens Petersen in #249006

* Fri Jul 20 2007 Parag Nemade <pnemade@redhat.com> - 1.1.2-1
- Initial package for Fedora Review.
